Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in WebKitGTK+
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in WebKitGTK+
ID: USN-3948-1
Distribution: Ubuntu
Plattformen: Ubuntu 18.04 LTS, Ubuntu 18.10
Datum: Di, 16. April 2019, 18:40
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8551
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8559
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11070
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8523
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-6251
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8558
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8506
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8375
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8535
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8524
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8563
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8544
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8518
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8536
Applikationen: WebKitGTK+

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============2021654900805300360==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="5YN24tAuCxrIfDhf3ntf8GpLOUBBI3N1t"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--5YN24tAuCxrIfDhf3ntf8GpLOUBBI3N1t
Content-Type: multipart/mixed;
boundary="KPGExAeVhpL8cCvFgdP2OSsYOsn8Uh8UF";
protected-headers="v1"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <bfae5492-6e9f-12d7-5987-ebb2664baf82@canonical.com>
Subject: [USN-3948-1] WebKitGTK+ vulnerabilities

--KPGExAeVhpL8cCvFgdP2OSsYOsn8Uh8UF
Content-Type: text/plain; charset=utf-8
Content-Language: en-C
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-3948-1
April 16, 2019

webkit2gtk vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 18.10
- Ubuntu 18.04 LTS

Summary:

Several security issues were fixed in WebKitGTK+.

Software Description:
- webkit2gtk: Web content engine library for GTK+

Details:

A large number of security issues were discovered in the WebKitGTK+ Web and
JavaScript engines. If a user were tricked into viewing a malicious
website, a remote attacker could exploit a variety of issues related to web
browser security, including cross-site scripting attacks, denial of service
attacks, and arbitrary code execution.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.10:
libjavascriptcoregtk-4.0-18 2.24.1-0ubuntu0.18.10.2
libwebkit2gtk-4.0-37 2.24.1-0ubuntu0.18.10.2

Ubuntu 18.04 LTS:
libjavascriptcoregtk-4.0-18 2.24.1-0ubuntu0.18.04.1
libwebkit2gtk-4.0-37 2.24.1-0ubuntu0.18.04.1

This update uses a new upstream release, which includes additional bug
fixes. After a standard system update you need to restart any applications
that use WebKitGTK+, such as Epiphany, to make all the necessary changes.

References:
https://usn.ubuntu.com/usn/usn-3948-1
CVE-2019-11070, CVE-2019-6251, CVE-2019-8375, CVE-2019-8506,
CVE-2019-8518, CVE-2019-8523, CVE-2019-8524, CVE-2019-8535,
CVE-2019-8536, CVE-2019-8544, CVE-2019-8551, CVE-2019-8558,
CVE-2019-8559, CVE-2019-8563

Package Information:
https://launchpad.net/ubuntu/+source/webkit2gtk/2.24.1-0ubuntu0.18.10.2
https://launchpad.net/ubuntu/+source/webkit2gtk/2.24.1-0ubuntu0.18.04.1


--KPGExAeVhpL8cCvFgdP2OSsYOsn8Uh8UF--

--5YN24tAuCxrIfDhf3ntf8GpLOUBBI3N1t
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUMSg3c8x5FLOsZtRZWnYVadEvpMFAly16b0ACgkQZWnYVadE
vpMUVA//d8jidFeaR07yLmPr3x+jTAoo8Dc8x4jf6spgPOCXkOiImKqHp3zJ0HRh
gzzMSrNdBkgg/B4MmHdzExSZibEvyBYjDoLkjngAn10rSWrUeVSbyI8me2flMgx4
YbOHTb3mHpuWhv36fBjYWJ/n9L9IFdKN4od/PkZWAUeuMeTehfldActMRUc1GZ6k
Gd84HhOAEDG7TQggoNied4dYDRdMrCIJLfXBNigH1LCvwglfMzjzKZdlJHscU+Rp
LGQts4HBnj9CtT+MB0rIGsFDRyGhu+ueB0A14f4ty7u589cyFjbedgRRAD/QF5Lq
ytG/71Jq+6cCLn3i37U4S4okWePhq/WgUBTNJvcz11UrcnNc0y2lLw9GLhZ2yBJm
vydFtAr/OGEQvZnECToDvGPmqNmMIauVKB+ick75E7aDldXFP0LMWbHwVTFqHElo
gaDYYtq7xNqY3my0eBACFcif7BUzKeFLCEF2aZpgMX5kkDDvPMgALSHqvuSagzRR
UTvkt7mA8NAkVZJrE2nr44cW0SfB6/AK6kwWCqWFX+Kqv+yJ4eeOuyMceCDOIp/J
JxFJMpU3fItWFVeN9206y45jagThn2P1qQNwCdx3DX1cUQagAFAbTtUj1MTNHBHb
0+8xa9z7E8sXwjDeW4ool9/A+LY84M/Tmekud0OMH6KG1Kil+Bo=
=uwkM
-----END PGP SIGNATURE-----

--5YN24tAuCxrIfDhf3ntf8GpLOUBBI3N1t--


--===============2021654900805300360==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============2021654900805300360==--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung